"""
    eventhorizon
    ~~~~~~~~~~~~

    Simple library for situations when you need to
    decouple components because you have too many of
    them.

    :copyright: (c) 2014 Eugene Eeo
    :license: MIT, see LICENSE for details.
"""

from eventhorizon.registry import Registry

__all__ = ('signal', 'emitting',)
__version__ = '0.1.1'


registry = Registry()
signal = registry.signal
emitting = registry.emitting
